aboutsummaryrefslogtreecommitdiff
path: root/sys_ctrl/find_uart
diff options
context:
space:
mode:
authorBrian Woods2023-02-06 19:50:14 -0500
committerBrian Woods2023-02-06 19:50:14 -0500
commitd332a99154945cfebadbf01b56f6033467e1c5ef (patch)
tree9c867d2e215e5b793d374959da8d694aa09ed80f /sys_ctrl/find_uart
init push
Added: firejail - just scripts for firejail options l2w_snd - piping sound from linux to windows over the network misc_scripts - misc scripts.... proton_sieve - proton sieve file for mainbox sorting sys_ctrl - system control scripts
Diffstat (limited to 'sys_ctrl/find_uart')
-rwxr-xr-xsys_ctrl/find_uart20
1 files changed, 20 insertions, 0 deletions
diff --git a/sys_ctrl/find_uart b/sys_ctrl/find_uart
new file mode 100755
index 0000000..d7e0f37
--- /dev/null
+++ b/sys_ctrl/find_uart
@@ -0,0 +1,20 @@
+#!/bin/bash
+# SPDX-FileCopyrightText: 2023 Brian Woods
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+if [ "x$1" == "x" ] ; then
+ echo "please input usb driver to search for"
+ exit 1
+else
+ driver=$1
+fi
+
+for ttyUSB in $( ls /dev/ttyUSB* ) ; do
+ id=$( udevadm info -q path -n $ttyUSB )
+ rv=$( udevadm info -a -p "$id" | grep "$driver" )
+ if [ "x$rv" != "x" ] ; then
+ echo "$ttyUSB"
+ fi
+done
+
+exit